#当前服务的基本信息
microservice:
  ename: 12345
  name: 12345
server:
  port: 18093
spring:
  application:
    name: event_smart
  profiles:
    active: prod


#mybatis配置信息
mybatis-plus:
  mapper-locations: classpath*:com/njcn/**/mapping/*.xml
  #别名扫描
  type-aliases-package: com.njcn.product.event.**.pojo
  configuration:
    #驼峰命名
    map-underscore-to-camel-case: true
    #配置sql日志输出
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    #关闭日志输出
#    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
  global-config:
    db-config:
      #指定主键生成策略
      id-type: assign_uuid


SYS_TYPE_ZT: 1cfcd6e2-c5fe-4b15-988a-32b90f1170c1
SYS_TYPE_WT: 983f9dfe-4f9a-4c96-89d8-7d425a1f1d6c
db:
  type: oracle

#文件位置配置
business:
  #处理波形数据位置
  wavePath: D://Comtrade
  targetPath: /pqmonitor
  exportBaseDir: D://exportComtrade
  eventCronExpression: 0 0/10 * * * ?
  failCronExpression: 0 5/10 * * * ?
  userCronExpression: 0 5 1 * * ?
  syncinterval: 10
  failsyncinterval: 1440
  #wavePath: /usr/local/comtrade
  #处理临时数据
  tempPath: D://file
  #tempPath: /usr/local/file
  #文件存储的方式 3.本地存储
  file:
    storage: 3
#oss服务器配置
min:
  io:
    endpoint: http://192.168.1.13:9009
    accessKey: minio
    secretKey: minio@123
    bucket: excelreport
    #华为obs服务器配置
huawei:
  access-key: J9GS9EA79PZ60OK23LWP
  security-key: BirGrAFDSLxU8ow5fffyXgZRAmMRb1R1AdqCI60d
  obs:
    bucket: test-8601
    endpoint: https://obs.cn-east-3.myhuaweicloud.com
    # 单位为秒
    expire: 3600
#线程池配置信息
threadPool:
  corePoolSize: 10
  maxPoolSize: 20
  queueCapacity: 500
  keepAliveSeconds: 60




